# standard_policies.hpp File Reference

## Detailed Description

Contains standard policies for containers.

Definition in file standard_policies.hpp.

Go to the source code of this file.

## Namespaces

- namespace __gnu_pbds
- namespace __gnu_pbds::detail

## Classes

- struct __gnu_pbds::detail::default_comb_hash_fn
- struct __gnu_pbds::detail::default_eq_fn< Key >
- struct __gnu_pbds::detail::default_hash_fn< Key >
- struct __gnu_pbds::detail::default_probe_fn< Comb_Probe_Fn >
- struct __gnu_pbds::detail::default_resize_policy< Comb_Hash_Fn >
- struct __gnu_pbds::detail::default_trie_e_access_traits< std::basic_string< Char, Char_Traits, std::allocator< char > > >
- struct __gnu_pbds::detail::default_update_policy

## Enumerations

- enum { default_store_hash }